Rated 5 out of 5 stars

In my case, I had to bump down the minversion below 3.1.15 for it to work. Works perfectly! Thank you for this great Addon!